<div
  class="collapsible-items-view-component"
  [ngClass]="{ expanded: isExpanded }"
  *ngIf="show"
  id="qa-collapsible-items-view-component"
>
  <div class="header" (click)="collapseToggle()" id="qa-header">
    <div class="card-header" id="qa-card-header">
      <div class="row first-row" id="qa-first-row">
        <div
          class="col-6 d-flex align-items-center first-column"
          id="qa-first-column"
        >
          <span [ngClass]="['icon', iconClass]" *ngIf="iconClass" id="qa-icon"></span>
          <h4 class="heading" id="qa-heading">{{ primaryLabel }}</h4>
        </div>
        <div
          class="col-6 d-flex align-items-center justify-content-end second-column"
          id="qa-second-column"
        >
          <app-button
            btnText="clear"
            theme="secondary"
            (buttonClick)="removeAllItemsFn(primaryLabel)"
          ></app-button>
          <fa-icon
            [icon]="isExpanded ? faChevronUp : faChevronDown"
            class="chevron chevron-up"
          ></fa-icon>
        </div>
      </div>
    </div>
  </div>
  <div class="body" [ngClass]="{ hide: !isExpanded }" id="qa-body">
    <div class="items" id="qa-items">
      <div class="item" *ngFor="let item of listItems" id="qa-item">
        <div class="text" id="qa-text">{{ item.name }}</div>
        <div
          class="remove"
          (click)="removeItemFn(item, primaryLabel)"
          id="qa-remove"
        >
          <span class="icon icon-cancel" id="qa-icon-cancel"></span>
        </div>
      </div>
    </div>
  </div>
</div>
